package com.arms.api.analysis.scope.dto;

import java.lang.reflect.ParameterizedType;
import java.util.List;

import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;
import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import com.arms.egovframework.javaservice.esframework.model.dto.기본_검색_집계_하위_요청;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class ScopeAggrDTO extends 기본_검색_집계_하위_요청 {

	PdServiceAndIsReqDTO pdServiceAndIsReq;

	public Long getPdServiceLink(){
		return pdServiceAndIsReq.getPdServiceId();
	}

	public List<Long> getPdServiceVersionLinks(){
		return pdServiceAndIsReq.getPdServiceVersions();
	}

	public Boolean isReq(){
		return pdServiceAndIsReq.getIsReq();
	}

}
