package com.arms.api.analysis.scope.dto;

import java.util.List;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import com.arms.egovframework.javaservice.esframework.model.dto.기본_검색_요청;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Setter
@AllArgsConstructor
@NoArgsConstructor
@Getter
public class ScopeDTO extends 기본_검색_요청 {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long getPdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean getIsReq(){
        return pdServiceAndIsReq.getIsReq();
    }

}
