package com.arms.api.issue.almapi.service;

import com.arms.api.issue.almapi.model.vo.지라이슈_데이터;
import com.arms.api.issue.almapi.model.dto.AlmIssueCreationDTO;
import com.arms.api.serverinfo.model.서버정보_데이터;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public class 이슈전략_등록_및_실행 {

    이슈전략 이슈전략;

    public void 이슈전략_등록(이슈전략 이슈전략) {
        this.이슈전략 = 이슈전략;
    }

    public List<지라이슈_데이터> getIssueList(서버정보_데이터 서버정보, String 프로젝트_키_또는_아이디) {
        return this.이슈전략.getIssueList(서버정보, 프로젝트_키_또는_아이디);
    }

    public 지라이슈_데이터 createIssue(서버정보_데이터 서버정보, AlmIssueCreationDTO almIssueCreationDTO) {
        return this.이슈전략.createIssue(서버정보, almIssueCreationDTO);
    }

    public Map<String,Object> 이슈_수정하기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디, AlmIssueCreationDTO almIssueCreationDTO) {
        return this.이슈전략.이슈_수정하기(서버정보, 이슈_키_또는_아이디, almIssueCreationDTO);
    }

    public Map<String,Object> 이슈_상태_변경하기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디, String 상태_아이디) {
        return this.이슈전략.이슈_상태_변경하기(서버정보, 이슈_키_또는_아이디, 상태_아이디);
    }

    public Map<String,Object> 이슈_삭제하기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디) {
        return this.이슈전략.이슈_삭제하기(서버정보, 이슈_키_또는_아이디);
    }

    public 지라이슈_데이터 이슈_상세정보_가져오기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디) throws Exception {
        return this.이슈전략.이슈_상세정보_가져오기(서버정보, 이슈_키_또는_아이디);
    }

    public List<지라이슈_데이터> 연결이슈_가져오기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디) throws Exception {
        return this.이슈전략.연결이슈_가져오기(서버정보, 이슈_키_또는_아이디);
    }

    public List<지라이슈_데이터> 서브테스크_가져오기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디) throws Exception {
        return this.이슈전략.서브테스크_가져오기(서버정보, 이슈_키_또는_아이디);
    }

    public List<지라이슈_데이터> 증분서브테스크_가져오기(서버정보_데이터 서버정보, String 이슈_키_또는_아이디, String startDate,String endDate) {
        return this.이슈전략.증분서브테스크_가져오기(서버정보, 이슈_키_또는_아이디,startDate,endDate);
    }
}
