package com.arms.api.issue.status.strategy;

import com.arms.api.issue.status.vo.CloudJiraByIssueTypeIssueStatusVO;
import com.arms.api.issue.status.vo.IssueStatusVO;
import com.arms.api.serverinfo.model.서버정보_데이터;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class IssueStatusStrategyImpl {

    IssueStatusStrategy IssueStatusStrategy;

    public void registerIssueStatusStrategy(IssueStatusStrategy IssueStatusStrategy) {
        this.IssueStatusStrategy = IssueStatusStrategy;
    }

    public List<IssueStatusVO> getIssueStatusList(서버정보_데이터 서버정보) {
        return this.IssueStatusStrategy.getIssueStatusList(서버정보);
    }

    public List<CloudJiraByIssueTypeIssueStatusVO> getIssueStatusListByProject(서버정보_데이터 서버정보,
                                                                               String projectId) {
        return this.IssueStatusStrategy.getIssueStatusListByProject(서버정보, projectId);
    }
}
