package com.arms.api.analysis.resource.vo;

import lombok.*;

import java.util.List;

@Getter
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UniqueAssigneeIssueStatusVO {

    private UniqueAssigneeVO uniqueAssigneeVO;

    private Long totalIssueCount; // reqIssueCount + notReqIssueCount
    private Long reqIssueCount;
    private Long notReqIssueCount;

    private List<IssuePropertyVO> reqIssueProperties;
    private List<IssuePropertyVO> notReqIssueProperties;

}
