package com.arms.config;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

@Configuration
@Getter
@Profile("dev")
public class DevDurationConfig {

    @Value("${dev-discovery-duration-time}")
    private long discoveryDurationTime;



}
