package com.arms.egovframework.javaservice.esframework.repository;

import lombok.extern.slf4j.Slf4j;
import org.springframework.data.elasticsearch.core.ElasticsearchOperations;
import org.springframework.data.elasticsearch.repository.support.ElasticsearchEntityInformation;
import org.springframework.data.elasticsearch.repository.support.SimpleElasticsearchRepository;

import java.io.Serializable;
import java.util.List;

@Slf4j
public abstract class SimpleElasticsearchWrapperRepository<T,ID extends Serializable> extends SimpleElasticsearchRepository<T,ID> implements 공통저장소<T,ID>{

    public SimpleElasticsearchWrapperRepository(ElasticsearchEntityInformation<T, ID> metadata, ElasticsearchOperations operations) {
        super(metadata, operations);
    }
}
